import "tslib";
import App from "./app";
import ErrorHandler from "./error-handler";

export default class Bootstrap
{
    private static isBooted: boolean = false;
    private static errorHandler: ErrorHandler;

    public static async init(): Promise<void>
    {
        if (Bootstrap.isBooted === true) {
            return;
        }
        Bootstrap.errorHandler = new ErrorHandler();
        try {
            await new App().startup();
            Bootstrap.isBooted = true;
        } catch (error) {
            Bootstrap.errorHandler.handle(error);
        }
    }
};

Bootstrap.init();