declare const nw: any;

const SourceMapSupport = nw.require("source-map-support");

export default class ErrorHandler
{
    public constructor()
    {
        SourceMapSupport.install();
    }

    public async handle(error: Error): Promise<void>
    {
        const stack: string[] = (error.stack as string).split("\n");
        const firstIndex: number = stack.findIndex((item: string, index: number): boolean => {
            if (index === 0) {
                return false;
            }
            return item.includes("at App.startup");
        });
        if (firstIndex !== -1) {
            const newStack: string[] = stack.slice(0, firstIndex + 2).filter((item: string, index: number): boolean => {
                return item.includes("at chrome-extension") === false
                    && item.includes("at Generator.next") === false
                    && item.includes("at Object.__awaiter") === false
                    && item.includes("at new ZoneAwarePromis") === false;
            });
            error.stack = newStack.join("\n");
        }
        console.error(error);
    }
}